## org.hibernate.sql
Class CaseFragment

    java.lang.Object
      org.hibernate.sql.CaseFragment

Direct Known Subclasses:
  ANSICaseFragment, DecodeCaseFragment, DerbyCaseFragment, HSQLCaseFragment, MckoiCaseFragment

    public abstract class CaseFragment

extends Object

Abstract SQL case fragment renderer

Field Summary
`protected Map` `cases`
`protected String` `returnColumnName`

Constructor Summary
`CaseFragment()`

Method Summary
`CaseFragment` `addWhenColumnNotNull(String alias, String columnName, String value)`
`CaseFragment` `setReturnColumnName(String returnColumnName)`
`CaseFragment` `setReturnColumnName(String returnColumnName, String suffix)`
`abstract String` `toFragmentString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### returnColumnName

    protected String returnColumnName

### cases

    protected Map cases

Constructor Detail

### CaseFragment

    public CaseFragment()

Method Detail

### toFragmentString

    public abstract String toFragmentString()

### setReturnColumnName

    public CaseFragment setReturnColumnName(String returnColumnName)

### setReturnColumnName

    public CaseFragment setReturnColumnName(String returnColumnName,
                                            String suffix)

### addWhenColumnNotNull

    public CaseFragment addWhenColumnNotNull(String alias,
                                             String columnName,
                                             String value)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.